from edge.support import fs


class TerminalUiconf:
    def __init__(self, uiconf_path: str):
        self._uiconf_path = uiconf_path

    def get_uuid(self) -> str:
        uiconf = fs.load_json3(self._uiconf_path)
        uiconf_pri: dict = uiconf['ro']
        return uiconf_pri['uuid']

    def get_name(self, default: str | None = None) -> str | None:
        uiconf = fs.load_json3(self._uiconf_path, default=None)
        if uiconf:
            uiconf_pub: dict = uiconf.get('rw') or dict()
            return uiconf_pub.get('origin-name', default)

        return default

    def get_place(self, default: str | None = None) -> str | None:
        uiconf = fs.load_json3(self._uiconf_path, default=None)
        if uiconf:
            uiconf_pub: dict = uiconf.get('rw') or dict()
            return uiconf_pub.get('origin-place', default)

        return default
